Page MenuHomePhabricator

Cannot read property 'unshift' of undefined
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.02.14/parsoid?id=AWGSVaAvqJPajYV1ZYf2&_g=()

http://localhost:8000/kn.wikipedia.org/v3/page/html/%E0%B2%B8%E0%B2%A6%E0%B2%B8%E0%B3%8D%E0%B2%AF%3ADr.K.Soubhagyavathi/827255

TypeError: Cannot read property 'unshift' of undefined
    at /srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/src/lib/wt2html/pp/processors/wrapSections.js:276:14
    at Array.forEach (native)
    at resolveTplExtSectionConflicts (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/src/lib/wt2html/pp/processors/wrapSections.js:200:29)
    at Object.wrapSections [as proc] (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/src/lib/wt2html/pp/processors/wrapSections.js:336:2)
    at DOMPostProcessor.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/src/lib/wt2html/DOMPostProcessor.js:528:13)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/prfun/lib/index.js:812:43)
    at tryCatch1 (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/babybird/lib/promise.js:40:12)
    at promiseReactionJob (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/babybird/lib/promise.js:269:19)
    at PromiseReactionJobTask.call (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/babybird/lib/promise.js:284:3)
    at flush (/srv/deployment/parsoid/deploy-cache/revs/1367057edce8c4813aa60b5715e5219a32c82611/node_modules/asap/raw.js:50:29)
    at _combinedTickCallback (internal/process/next_tick.js:73:7)
    at process._tickCallback (internal/process/next_tick.js:104:9)

Details

Related Gerrit Patches:

Event Timeline

Arlolra created this task.Feb 14 2018, 9:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 9:22 PM
Arlolra triaged this task as High priority.Feb 14 2018, 9:22 PM
Arlolra claimed this task.Mar 2 2018, 1:45 AM

Change 415992 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Protect against data-mw w/o parts when section wrapping

https://gerrit.wikimedia.org/r/415992

Change 415992 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Protect against data-mw w/o parts when section wrapping

https://gerrit.wikimedia.org/r/415992

Arlolra closed this task as Resolved.Apr 6 2018, 4:00 PM